Mailinglist Archive: opensuse-factory (586 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160822 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160822

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
PackageKit
aria2 (1.25.0 -> 1.26.0)
ceph (10.2.2+git.1470776886.38cd6cb -> 10.2.2+git.1471622341.b446b70)
file (5.25 -> 5.28)
file-roller (3.20.2 -> 3.20.3)
gcc6 (6.1.1+r238085 -> 6.1.1+r239476)
gnome-documents (3.20.0 -> 3.20.1)
gnome-session
gtk3 (3.20.8 -> 3.20.9)
installation-images-openSUSE (14.266 -> 14.267)
lcms2 (2.7 -> 2.8)
libbluray
libgcj-gcc6 (6.1.1+r238085 -> 6.1.1+r239476)
libgcrypt (1.6.5 -> 1.6.6)
librdmacm
ntfs-3g_ntfsprogs
perl-Module-Build (0.421800 -> 0.422000)
perl-Sub-Name (0.15 -> 0.19)
perl-Try-Tiny (0.24 -> 0.27)
python-pyserial
qemu (2.6.0 -> 2.6.1)
qemu-linux-user (2.6.0 -> 2.6.1)
shotwell (0.23.2 -> 0.23.5)
sysdig
texlive
texlive-specs-m
texlive-specs-n
tlp (0.8 -> 0.9)
yast2-auth-server (3.1.17 -> 3.1.18)
yast2-installation (3.1.208 -> 3.1.210)
yast2-network (3.1.165 -> 3.1.166)
yast2-packager (3.1.114 -> 3.1.115)

=== Details ===

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module libpackagekit-glib2-18 typelib-1_0-PackageKitGlib-1_0

- Stop Providing/Obsoleting opensuse-codecs-installer, it was
dropped more than 5 years ago.
- Add
0001-zypp-Return-error-if-invalid-package-IDs-are-detecte.patch:
Fix segfaults when detecting invalid package IDs
(gh#hughsie/PackageKit#148).

==== aria2 ====
Version update (1.25.0 -> 1.26.0)
Subpackages: aria2-lang libaria2-0

- Update to version 1.26.0:
* aria2mon: Replace client.call with local method
* Reorder a note section in aria2c.rst
* bash_completion: Add missing options which takes one of
pre-defined values
* Replace "/" with "-" in magnet dn name when used as in-memory
download name
* Fix Dockerfile.raspberrypi to correctly decompress expat
archive
* Enable ccache in travis-ci
* Enable OSX/macOS build for travis
* Better auto-renaming
* Log number of items loaded from input file
* Link external libraries to libaria2 with --enable-libaria2
* Allow seconds for seed-time (fractional minutes)
- Drop no longer needed aria2-no-return-in-nonvoid-function.patch

==== ceph ====
Version update (10.2.2+git.1470776886.38cd6cb -> 10.2.2+git.1471622341.b446b70)
Subpackages: librados2 librbd1

- Update to version 10.2.2+git.1471622341.b446b70:
+ LTTng-UST disabled for openSUSE
- Update to version 10.2.2+git.1471612825.45407b0:
+ ceph.spec.in: be less naive when removing sources
- _constraints: tweak ceph constraints to pick up more build workers
- Update to version 10.2.2+git.1471601351.ddee097:
+ ceph.spec.in: jewel is x86_64+aarch64 only
+ ceph.spec.in: nuke sources at end of %install phase

==== file ====
Version update (5.25 -> 5.28)
Subpackages: file-devel file-magic libmagic1

- Add patch file-5.28-compress.patch
to fix crash as found in build system
- Update to file version 5.28
* fix leak on allocation failure
* PR/555: Avoid overflow for offset > nbytes
* PR/550: Segv on DER parsing:
- use the correct variable for length
- set offset to 0 on failure.
- Port patches to 5.28
file-4.24-autoconf.dif
file-5.15-clear-invalid.patch
file-5.16-ocloexec.patch
file-5.19-biorad.dif
file-5.23-endian.patch
file-5.24-nitpick.dif
file-secure_getenv.patch
- Remove patches now upstream
file-5.26-revert-close.patch
- Rename patches
file-5.26.dif becomes file-5.28.dif
- Update to file version 5.27
* Errors comparing DER entries or computing offsets
are just indications of malformed non-DER files.
Don't print them.
* Offset comparison was off-by-one.
* Fix compression code (Werner Fink)
* Put new bytes constant in the right file (not the generated one)
- Remove patches
file-5.26-version.patch
file-5.26-downgrade_DER.patch
file-5.26-console.diff
file-5.26-zmagic.patch
as now upstream
- Disable patch file-5.26-revert-close.patch for test
- Modify patches
file-5.17-option.dif
file-5.26.dif
- Add and revert upstream patch file-5.26-revert-close.patch
(commit 0177f6dd30e1f8c5639c058dcdf1d9edd9f8528c) to help
rpmbuild not to loose stdin
- Add patch file-5.26-zmagic.patch
to fix detection chain if for compresses files are expanded
- Add upstream patch file-5.26-console.diff
to fix wrong detection of UNIF edb files
- Add upstream patch file-5.26-downgrade_DER.patch
to fix DER error messages as well oas offset handling
- Update to file version 5.26
* make the number of bytes read from files configurable.
* Add bounds checks for DER code (discovered by Thomas Jarosch)
* Change indirect recursion limit to indirect use count and
bump from 15 to 50 to prevent abuse.
* Add -00 which prints filename\0description\0
* Fix ID3 indirect parsing
* add DER parsing capability
* provide dprintf(3) for the OS's that don't have it.
* redo the compression code report decompression errors
* REG_STARTEND code is not working as expected, delete it.
* Add zlib support if we have it.
* PR/492: compression forking was broken with magic_buffer.
- Removed patches as upstream now
file-4.24-mips.dif
file-5.25-avoid-double-evaluation-in-python-bindings.dif
- Modified patches
file-5.12-zip.dif
file-5.16-ocloexec.patch
file-5.19-printf.dif
file-5.19-zip2.0.dif
file-5.22-elf.dif
file-5.23-endian.patch
file-5.24-nitpick.dif
file-secure_getenv.patch
- Renamed patches
file-5.23.dif becomes file-5.26.dif
- Added patch from upstream to fix version handling of PHP files
file-5.26-version.patch

==== file-roller ====
Version update (3.20.2 -> 3.20.3)
Subpackages: nautilus-file-roller

- Update to version 3.20.3:
+ file-roller can delete the content of local folders upon
extraction, if archive contains symbolic links pointing to
absolute paths (bgo#698554).
+ Updated translations.

==== gcc6 ====
Version update (6.1.1+r238085 -> 6.1.1+r239476)
Subpackages: cpp6 gcc6-c++ gcc6-fortran gcc6-info gcc6-locale gcc6-objc
libasan3 libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran3 libgomp1
libitm1 liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc6 libtsan0 libubsan0

- Update to gcc-6-branch head (r239476).
* includes GCC 6.2 RC1
- Make sure newlib crosses for the same target conflict
- Clean up newlib handling in spec files
* change_spec: Set new gcc_target_newlib in add_newlib_cross()
* gcc.spec.in: Converge per-target configure sections
* cross.spec.in: Prepare for more library options: gcc_target_glibc
- Update to gcc-6-branch head (r239408).
- Remove gcc6-disable-aarch64-tsan.patch and re-enable TSAN for aarch64.
- Enable ifunc attribute on archs with support for GNU_IFUNC in glibc
for SLE12 and up
- Prepare newlib targets epiphany, nds32le, rl78, rx
* Mostly forward-ported from gcc5 package
- change_spec: Add add_newlib_cross() convenience function
- Enable epiphany and rx packages
* Fix debugsources.list path for non-bootstrap packages w/debuginfo

==== gnome-documents ====
Version update (3.20.0 -> 3.20.1)
Subpackages: gnome-documents_books-common gnome-shell-search-provider-documents

- Update to version 3.20.1:
+ Don't select when focusing the search entry.
+ Don't show documents in the collection dialog.
+ Fix bookmarking.
+ Fix continuous mode never being disabled.
+ Updated translations.

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session

- Update
gnome-session-check-dbus-update-activation-environment.patch: use
the upstream commited solution
- Add gnome-session-check-dbus-update-activation-environment.patch:
Check if dbus-update-activation-environment exists before calling
it to silence warnings for SLE12 SP2 and LEAP 42.2 (bsc#993342,
bgo#768036).

==== gtk3 ====
Version update (3.20.8 -> 3.20.9)
Subpackages: gtk3-data gtk3-devel gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.20.9:
+ Fix headerbar size allocation.
+ Use g_snprintf instead of snprintf.
+ Bugs fixed: bgo#769287, bgo#769603.
+ Updated translations.

==== installation-images-openSUSE ====
Version update (14.266 -> 14.267)

- Small fix to IBM and SUSE branding
- 14.267

==== lcms2 ====
Version update (2.7 -> 2.8)
Subpackages: liblcms2-2 liblcms2-2-32bit liblcms2-devel

- Update to 2.8
* Fixed many typos in comments, thanks to Stefan Weil for doing that.
* Fixed localization bug, added a new test case crayons.icc thnaks to Richard
Hughes for providing the profile.
* Fixed a bug in optimizer that made some formats (i.e, bits planar)
unavailable
* Fixed misalignment problems on Alpha. The compiler does not align strings,
and accessing begin of string as a uint16 makes code to fail.
* Added some extra checks to the tools and examples.
* Fix a bug that prevented to read luminance tag
* BIG amount of functionality contributed/Sponsored by Alien Skin Software:
TransformStride, copyAlpha, performance plug-ins. Fixes some warnings as well.
* added an extra _ to _stdcall to make it more portable
* Fixed a bug in transicc for named color profiles
* Fixed several compiler warnings
* Added support for Visual Studio 2015
* Fixed for XCODE project

==== libbluray ====

- Drop libbluray-autotools.patch as it has no real benefit and if
something should be upstreamed

==== libgcj-gcc6 ====
Version update (6.1.1+r238085 -> 6.1.1+r239476)
Subpackages: gcc6-gij gcc6-java libgcj-devel-gcc6 libgcj-jar-gcc6 libgcj_bc1

- Update to gcc-6-branch head (r239476).
* includes GCC 6.2 RC1
- Make sure newlib crosses for the same target conflict
- Clean up newlib handling in spec files
* change_spec: Set new gcc_target_newlib in add_newlib_cross()
* gcc.spec.in: Converge per-target configure sections
* cross.spec.in: Prepare for more library options: gcc_target_glibc
- Update to gcc-6-branch head (r239408).
- Remove gcc6-disable-aarch64-tsan.patch and re-enable TSAN for aarch64.
- Enable ifunc attribute on archs with support for GNU_IFUNC in glibc
for SLE12 and up
- Prepare newlib targets epiphany, nds32le, rl78, rx
* Mostly forward-ported from gcc5 package
- change_spec: Add add_newlib_cross() convenience function
- Enable epiphany and rx packages
* Fix debugsources.list path for non-bootstrap packages w/debuginfo

==== libgcrypt ====
Version update (1.6.5 -> 1.6.6)
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- libgcrypt 1.6.6:
* fix CVE-2016-6313: Issue in the mixing functions of the random
number generators allowed an attacker who obtained a number of
bytes from the standard RNG to predict some of the next ouput.
(bsc#994157)

==== librdmacm ====

- Add pkg-config build dependency
- add librdmacm.pc.in for librdmacm-devel(bsc#991846)
librdmacm-need_pc_file.patch

==== ntfs-3g_ntfsprogs ====
Subpackages: libntfs-3g87 ntfs-3g ntfsprogs

- Fix update-alternatives usage.

==== perl-Module-Build ====
Version update (0.421800 -> 0.422000)

- updated to 0.4220
see /usr/share/doc/packages/perl-Module-Build/Changes
0.4220 - Tue Aug 16 22:11:14 CEST 2016
- Released 0.42_19 as 0.4220
0.42_19 - Sun Aug 7 17:07:38 CEST 2016
- Initialize MM Compat environmental variables to empty strings [Leon
Timmermans]
- Skip PPM test when link_executable fails [Leon Timmermans]
- Make more actions deterministic [Zefram]
- Preprocess file lists generated by rscan_dir() to sort them [Niko Tyni]

==== perl-Sub-Name ====
Version update (0.15 -> 0.19)

- updated to 0.19
see /usr/share/doc/packages/perl-Sub-Name/Changes
0.19 2016-08-18 18:52:33Z
- fix checking of SvUTF8 flag
- updated to 0.18
see /usr/share/doc/packages/perl-Sub-Name/Changes
0.18 2016-08-16 01:07:54Z
- no changes since 0.17
0.17 2016-06-27 22:45:27Z (TRIAL RELEASE)
- fixed parsing error where the name contains a single colon but the last
separator is :: (Leon Timmermans)
0.16 2016-06-21 03:41:40Z (TRIAL RELEASE)
- support binary and unicode symbol names (Leon Timmermans, Aristotle
Pagaltzis, Peter Rabbitson, Reini Urban, PR#8)

==== perl-Try-Tiny ====
Version update (0.24 -> 0.27)

- updated to 0.27
see /usr/share/doc/packages/perl-Try-Tiny/Changes
0.27 2016-08-16 01:43:35Z
- repository moved to the github p5sagit organization (the primary is on
shadowcat, mirrored to github)
- no changes since 0.26
0.26 2016-03-15 23:42:02Z (TRIAL RELEASE)
- switch from finalizers using an array to a hash, to resolve segfaults when
creating a pseudofork on MSWin before perl 5.20 (Graham Knop,
karenetheridge/Sub-Name/#3)
0.25 2016-02-22 20:16:51Z (TRIAL RELEASE)
- "finally" blocks are now run for all methods of leaving the try block
(including via exit, goto) (Lukas Mai, RT#112099)

==== python-pyserial ====

- Fix update-alternatives implementation.
- Split documentation into subpackage.

==== qemu ====
Version update (2.6.0 -> 2.6.1)
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-ssh qemu-extra qemu-ipxe qemu-ksm qemu-kvm
qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-vgabios
qemu-x86

- Update to v2.6.1 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches dropped (upstreamed):
0041-net-mipsnet-check-packet-length-aga.patch
0042-i386-kvmvapic-initialise-imm32-vari.patch
0043-esp-check-command-buffer-length-bef.patch
0044-esp-check-dma-length-before-reading.patch
0045-scsi-pvscsi-check-command-descripto.patch
0046-scsi-mptsas-infinite-loop-while-fet.patch
0047-vga-add-sr_vbe-register-set.patch
0048-scsi-megasas-use-appropriate-proper.patch
0049-scsi-megasas-check-read_queue_head-.patch
0050-scsi-megasas-null-terminate-bios-ve.patch
0051-vmsvga-move-fifo-sanity-checks-to-v.patch
0052-vmsvga-don-t-process-more-than-1024.patch
0053-block-iscsi-avoid-potential-overflo.patch
0054-scsi-esp-check-TI-buffer-index-befo.patch
0060-scsi-megasas-initialise-local-confi.patch
0065-scsi-esp-check-buffer-length-before.patch
0066-scsi-esp-respect-FIFO-invariant-aft.patch
0067-pci-assign-Move-Invalid-ROM-error-m.patch
0068-Xen-PCI-passthrough-fix-passthrough.patch
0069-scsi-esp-make-cmdbuf-big-enough-for.patch
0071-virtio-error-out-if-guest-exceeds-v.patch
* Patches renamed:
0055-xen-introduce-dummy-system-device.patch
- > 0041-xen-introduce-dummy-system-device.patch
0056-xen-write-information-about-support.patch
- > 0042-xen-write-information-about-support.patch
0057-xen-add-pvUSB-backend.patch
- > 0043-xen-add-pvUSB-backend.patch
0058-xen-move-xen_sysdev-to-xen_backend..patch
- > 0044-xen-move-xen_sysdev-to-xen_backend..patch
0059-vnc-add-configurable-keyboard-delay.patch
- > 0045-vnc-add-configurable-keyboard-delay.patch
0061-configure-add-echo_version-helper.patch
- > 0046-configure-add-echo_version-helper.patch
0062-configure-support-vte-2.91.patch
- > 0047-configure-support-vte-2.91.patch
0063-hw-arm-virt-mark-the-PCIe-host-cont.patch
- > 0048-hw-arm-virt-mark-the-PCIe-host-cont.patch
0064-xen-SUSE-xenlinux-unplug-for-emulat.patch
- > 0049-xen-SUSE-xenlinux-unplug-for-emulat.patch
0070-scsi-esp-fix-migration.patch
- > 0050-scsi-esp-fix-migration.patch
0072-xen-when-removing-a-backend-don-t-r.patch
- > 0051-xen-when-removing-a-backend-don-t-r.patch
0073-xen-drain-submit-queue-in-xen-usb-b.patch
- > 0052-xen-drain-submit-queue-in-xen-usb-b.patch
0074-qcow2-avoid-extra-flushes-in-qcow2.patch
- > 0053-qcow2-avoid-extra-flushes-in-qcow2.patch
0075-qemu-bridge-helper-reduce-security-.patch
- > 0054-qemu-bridge-helper-reduce-security-.patch
0076-xen-use-a-common-function-for-pv-an.patch
- > 0055-xen-use-a-common-function-for-pv-an.patch

==== qemu-linux-user ====
Version update (2.6.0 -> 2.6.1)

- Update to v2.6.1 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches dropped (upstreamed):
0041-net-mipsnet-check-packet-length-aga.patch
0042-i386-kvmvapic-initialise-imm32-vari.patch
0043-esp-check-command-buffer-length-bef.patch
0044-esp-check-dma-length-before-reading.patch
0045-scsi-pvscsi-check-command-descripto.patch
0046-scsi-mptsas-infinite-loop-while-fet.patch
0047-vga-add-sr_vbe-register-set.patch
0048-scsi-megasas-use-appropriate-proper.patch
0049-scsi-megasas-check-read_queue_head-.patch
0050-scsi-megasas-null-terminate-bios-ve.patch
0051-vmsvga-move-fifo-sanity-checks-to-v.patch
0052-vmsvga-don-t-process-more-than-1024.patch
0053-block-iscsi-avoid-potential-overflo.patch
0054-scsi-esp-check-TI-buffer-index-befo.patch
0060-scsi-megasas-initialise-local-confi.patch
0065-scsi-esp-check-buffer-length-before.patch
0066-scsi-esp-respect-FIFO-invariant-aft.patch
0067-pci-assign-Move-Invalid-ROM-error-m.patch
0068-Xen-PCI-passthrough-fix-passthrough.patch
0069-scsi-esp-make-cmdbuf-big-enough-for.patch
0071-virtio-error-out-if-guest-exceeds-v.patch
* Patches renamed:
0055-xen-introduce-dummy-system-device.patch
- > 0041-xen-introduce-dummy-system-device.patch
0056-xen-write-information-about-support.patch
- > 0042-xen-write-information-about-support.patch
0057-xen-add-pvUSB-backend.patch
- > 0043-xen-add-pvUSB-backend.patch
0058-xen-move-xen_sysdev-to-xen_backend..patch
- > 0044-xen-move-xen_sysdev-to-xen_backend..patch
0059-vnc-add-configurable-keyboard-delay.patch
- > 0045-vnc-add-configurable-keyboard-delay.patch
0061-configure-add-echo_version-helper.patch
- > 0046-configure-add-echo_version-helper.patch
0062-configure-support-vte-2.91.patch
- > 0047-configure-support-vte-2.91.patch
0063-hw-arm-virt-mark-the-PCIe-host-cont.patch
- > 0048-hw-arm-virt-mark-the-PCIe-host-cont.patch
0064-xen-SUSE-xenlinux-unplug-for-emulat.patch
- > 0049-xen-SUSE-xenlinux-unplug-for-emulat.patch
0070-scsi-esp-fix-migration.patch
- > 0050-scsi-esp-fix-migration.patch
0072-xen-when-removing-a-backend-don-t-r.patch
- > 0051-xen-when-removing-a-backend-don-t-r.patch
0073-xen-drain-submit-queue-in-xen-usb-b.patch
- > 0052-xen-drain-submit-queue-in-xen-usb-b.patch
0074-qcow2-avoid-extra-flushes-in-qcow2.patch
- > 0053-qcow2-avoid-extra-flushes-in-qcow2.patch
0075-qemu-bridge-helper-reduce-security-.patch
- > 0054-qemu-bridge-helper-reduce-security-.patch
0076-xen-use-a-common-function-for-pv-an.patch
- > 0055-xen-use-a-common-function-for-pv-an.patch

==== shotwell ====
Version update (0.23.2 -> 0.23.5)
Subpackages: shotwell-lang

- Update to version 0.23.5:
+ Remove obsolete files.
+ Plugins: Load icons and GtkBuilder files from GResource.
+ Offer a way to hide the bottom toolbar.
+ Fix .desktop file generation.
+ Use Gtk.MessageDialog's printf-style API for strings.
+ Add SQL indexes to PhotoTable.
+ Add Language headers to po files.
+ Update INSTALL file.
+ Really remove reference to external hmac_sha1.
+ Disambiguate strings for time ranges.
+ Implement linked tags.
+ Make it more clear that something failed if SSL conncetion was
not possible.
+ Add option to filter by saved search.
+ Explicitly link plugins to their dependencies.
+ Fix typo in GSettings schema.
+ Re-add --disable-extra-plugins configure option.
+ Fix settings migrator and thumbnailer path.
+ Bump debian compat for proper --libexecdir parameter.
+ Bugs fixed: https://bugs.archlinux.org/task/50129, bgo#717523,
bgo#717321, bgo#741962, bgo#742670, bgo#747368, bgo#750902,
bgo#767473, bgo#768360.
+ Updated translations.
- Drop pkgconfig(rest-0.7) BuildRequires: no longer needed.
- Add ldconfig call to post/postun as we install libraries.
- Update to version 0.23.4:
+ Plugins: Fix linking error.
- Changes from version 0.23.3:
+ libraw: Fix binding of ProcessedImage.data.
+ graw: Prevent needless array duplication.
+ Fix screenshot URLs in appdata.
+ db: Add option to trace SQL statements.
+ Change build system to autotools.
+ Add help, appdata, gsettings and desktop files to translation
system.
+ Change way help is built and installed.
+ Always install the manpage.
+ Several translation fixes.
+ Make message more clear that there are no photos matching a
filter.
+ Bugs fixed: bgo#715578, bgo#717064, bgo#719122, bgo#719200,
bgo#730665, bgo#730669, bgo#740873, bgo#741508, bgo#744251,
bgo#744254, bgo#744255, bgo#768054.
+ Updated translations.
- Add itstool BuildRequires: New dependency.
- Replace pkgconfig(gnome-doc-utils) for yelp-tools BuildRequires:
following upstreams port.
- Start using normal configure macro following upstream changes.
Due to this, stop exporting cflags and libdir.

==== sysdig ====

- Use current macros for KMP building
* drop sysdig-kmp-preamble
- Use exclusivearch instead of excluding architectures

==== texlive ====

- Avoid dangling symbolic link for texlive-dvipdfmx-bin (boo#992360)

==== texlive-specs-m ====

- Add the perl dependencies if found for scripts (boo#992982)

==== texlive-specs-n ====

- Add the perl dependencies if found for scripts (boo#992982)

==== tlp ====
Version update (0.8 -> 0.9)
Subpackages: tlp-rdw

- Update to version 0.9:
* General:
- Block concurrent invocation of TLP.
* Disc drives:
- AHCI runtime power management for host controllers and
attached disc drives.
- SATA_LINKPWR_BLACKLIST: Exclude SATA host devices from power
management.
* Radio Devices:
- Finally remove deprecated DEVICES_TO_ENABLE_ON_RADIOSW code
(works with Ubuntu 12.04/Linux 3.2 only).
- Change WIFI_PWR_ON_AC/BAT default config values to off/on for
better usability (1/5 is still supported for backwards
compatibility).
* Radio Device Wizard (tlp-rdw):
- Add another ThinkPad OneLink Pro Dock USB LAN (17ef:304).
* (ThinkPad) Battery:
- tlp-stat:
+ Distinguish incompatible hardware from load errors
(gh#linrunner/TLP#160).
+ Display battery charge and capacity values in %.
+ More selective suggestions for tp-smapi/acpi-call kernel
modules.
* tlp-stat:
- Intel graphics: include i915 parameters enable_dc, enable_psr,
modeset.
- --pev: monitor power supply udev events
(gh#linrunner/TLP#172).
- Processor:
+ Display available scaling governors.
+ intel_pstate: display turbo_pct, num_pstates.
- Storage Devices:
- Recognise blk-mq I/O scheduler.
- SMART attributes Power_Cycle_Count, Unused_Rsvd_Blk_Cnt_Tot,
NAND_Writes_1GiB.
- Suggestions: Add *60 models for tp-smapi/acpi-call.
- System Info: Display boot mode UEFI / BIOS.
- TLP Status:
+ Display time and mode of tlp's last invocation.
+ Issue warning when systemd-rfkill[@].service is not masked.
- Wireless: Display type in interface list.
* Bugfixes
- Handle kernel with built-in acpi_call module properly
(gh#linrunner/TLP#163).
- Battery discharge does not terminate on ThinkPad E-series
(gh#linrunner/TLP#170).
- TLP does not notice power source change (gh#linrunner/TLP#172).
- Do not touch wifi on shutdown when unconfigured
(gh#linrunner/TLP#175).
- Optimise rdw locking heuristics (gh#linrunner/TLP#176).
- tlp-stat: Fix ata error count (filter "DevExch" caused by
bay inserts).
- tp-smapi: Do not load on unsupported ThinkPads.
- Fix bash completion.
- Remove tlp-0.8-correct-udev-rules-path.patch: fixed upstream.

==== yast2-auth-server ====
Version update (3.1.17 -> 3.1.18)

- bnc#991677 - Fix broken detection of common server certificate CA file
- 3.1.18
+-------------------------------------------------------------------

==== yast2-installation ====
Version update (3.1.208 -> 3.1.210)

- filter out same repositories from extraurls if they differ only
in trailing slash (bnc#970488)
- 3.1.210

==== yast2-network ====
Version update (3.1.165 -> 3.1.166)

- bnc#991486
- extended fix for this bug from 3.1.163. Do not report invalid
names incorrectly
- 3.1.166

==== yast2-packager ====
Version update (3.1.114 -> 3.1.115)

- Do not raise an exception if no license is available (no licence
dir at all) to accept (bnc#994309).
- 3.1.115

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages